Why isn’t json-loader enabled by default?

I’m coming from fb55/entities#26. It’s a commonly used tiny library, and the fact that it uses JSON files internally (which is fine with both Node and Browserify) requires anyone using libraries that use libraries that depend on entities add the json loader explicitly to their webpack config. I wonder why JSON files aren’t handled correctly by default.

@sokra , could you please explain this design decision? Would you accept a PR changing this?

Author: Fantashit

1 thought on “Why isn’t json-loader enabled by default?

Comments are closed.